
package de.ivu.elect.presentation.wahl.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.wahl.WahlterminCreateView;

public class WahlterminCreateMenuItemEntry extends AbstractWahlterminMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public WahlterminCreateMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHLTERMIN_CREATE;
  }

  @Override
  public String getTargetViewId() {
    return WahlterminCreateView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getEinzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.create.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCreate();
  }
}
